### A free/open-source library for quantitative finance

Public Member Functions
TreeSwaptionEngine Class Reference
Swaption engines

Numerical lattice engine for swaptions. More...

`#include <ql/pricingengines/swaption/treeswaptionengine.hpp>`

Inheritance diagram for TreeSwaptionEngine:
[legend]

List of all members.

## Public Member Functions

void | calculate () const
Constructors

Note:
  the term structure is only needed when the short-rate model cannot provide one itself.

| TreeSwaptionEngine (const boost::shared_ptr< ShortRateModel > &, Size timeSteps, const Handle< YieldTermStructure > &termStructure=Handle< YieldTermStructure >())
| TreeSwaptionEngine (const boost::shared_ptr< ShortRateModel > &, const TimeGrid &timeGrid, const Handle< YieldTermStructure > &termStructure=Handle< YieldTermStructure >())
| TreeSwaptionEngine (const Handle< ShortRateModel > &, Size timeSteps, const Handle< YieldTermStructure > &termStructure=Handle< YieldTermStructure >())

## Detailed Description

Numerical lattice engine for swaptions.

Warning:
  This engine is not guaranteed to work if the underlying swap has a start date in the past, i.e., before today's date. When using this engine, prune the initial part of the swap so that it starts at .

Tests:
  calculations are checked against cached results

Examples:
  BermudanSwaption.cpp.